unit variablesliste;
{liste des variables de l'interpreteur
30/10/00}
interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, Grids;

type
  TVariablesListeForm = class(TForm)
    StringGrid1: TStringGrid;
    procedure FormCreate(Sender: TObject);
  private
    { Déclarations privées}
  public
  procedure affiche;
    { Déclarations publiques}
  end;

var
  VariablesListeForm: TVariablesListeForm;

implementation

uses interpreteur;

{$R *.DFM}

procedure TVariablesListeForm.affiche;
var
i:integer;
begin
stringGrid1.rowcount:=interpreteurform.parser1.variablelist.count+1;
for i:=0 to stringGrid1.rowcount-2 do begin
stringGrid1.cells[0,i+1]:=interpreteurform.parser1.variablelist[i];
stringGrid1.cells[1,i+1]:=floattostr(interpreteurform.parser1.getvariable(interpreteurform.parser1.variablelist[i]));
end;
end;

procedure TVariablesListeForm.FormCreate(Sender: TObject);
begin
stringGrid1.cells[0,0]:='variable';
stringGrid1.cells[0,1]:='valeur';
end;

end.
